Bug 170476 - [PATCH] audio/cmus: update to 2.4.3
Summary: [PATCH] audio/cmus: update to 2.4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 11:40 UTC by Dennis Herrmann
Modified: 2012-10-28 22:52 UTC (History)
1 user (show)

See Also:


Attachments
cmus-2.4.3.patch (942 bytes, patch)
2012-08-08 11:40 UTC, Dennis Herrmann
no flags Details | Diff
patch-cmus-2_4_3.txt (5.39 KB, patch)
2012-09-02 20:14 UTC, Herbert J. Skuhra
no flags Details | Diff
patch-cmus-2_4_3-2.txt (5.47 KB, patch)
2012-09-02 20:39 UTC, Herbert J. Skuhra
no flags Details | Diff
cmus.diff (7.21 KB, patch)
2012-10-15 03:07 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Herrmann freebsd_committer 2012-08-08 11:40:01 UTC
- Update to 2.4.3
- Take maintainership

Port maintainer (h.skuhra@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-08-08 11:40:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-08-08 11:40:38 UTC
Maintainer of audio/cmus,

Please note that PR ports/170476 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170476

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-08-08 11:40:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Herbert J. Skuhra 2012-08-09 12:03:08 UTC
Hi,

so I missed this release. Is this a reason that I have to pass on
maintainership of this port?
Why not just inform me via private mail?

Unfortunately I cannot test this patch right now, because I am on
vacation. Will test right after my return in 1 1/2 week. Then I'll
also check my other few ports.

@requester: apache 2.4 is missing in ports, gtk3,glib, etc. is very old...

Regards
Herbert
Comment 5 Herbert J. Skuhra 2012-09-02 20:14:09 UTC
Hi,

I DO NOT want to drop maintainership for this port, so please commit
the attached patch instead. It's completly rewritten.
 
The patch is also available at:

http://oslo.ath.cx/patch-cmus-2_4_3.txt

Thanks.

-- 
Herbert
Comment 6 Herbert J. Skuhra 2012-09-02 20:39:07 UTC
Hi,

sorry, previous patch contained an error!
Corrected patch is attached.
  
This patch is also available at:

http://oslo.ath.cx/patch-cmus-2_4_3-2.txt

-- 
Herbert
Comment 7 Jason E. Hale freebsd_committer 2012-10-15 00:24:50 UTC
Responsible Changed
From-To: dhn->jhale

I'll take it.
Comment 8 Jason E. Hale freebsd_committer 2012-10-15 03:07:19 UTC
Herbert,

I added a patch to fix the build with the FFMPEG option enabled if 
multimedia/ffmpeg is also installed.  Also, the port was not entirely 
respecting CC and the patch addresses that as well.

You will remain the maintainer of the port.  Thank you for your work!

If you approve I will commit this.

- Jason
Comment 9 Jason E. Hale freebsd_committer 2012-10-28 22:52:05 UTC
State Changed
From-To: feedback->closed

Committed with maintainer's changes and my changes.  Thanks!